Bug 2226234 - python-lsp-black: FTBFS in Fedora rawhide/f39
Summary: python-lsp-black: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-lsp-black
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 19:26 UTC by Fedora Release Engineering
Modified: 2023-09-22 00:20 UTC (History)
1 user (show)

Fixed In Version: python-lsp-black-1.3.0-1.fc39
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-22 00:20:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (21.30 KB, text/plain)
2023-07-25 19:26 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2023-07-25 19:26 UTC, Fedora Release Engineering
no flags Details
state.log (1.04 KB, text/plain)
2023-07-25 19:27 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 19:26:50 UTC
python-lsp-black failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103686374


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix python-lsp-black at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-lsp-black will be orphaned. Before branching of Fedora 40,
python-lsp-black will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 19:26:54 UTC
Created attachment 1979092 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 19:26:58 UTC
Created attachment 1979093 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 19:27:03 UTC
Created attachment 1979094 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 08:01:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Admin user for bugzilla script actions 2023-08-16 12:55:20 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 6 Fedora Admin user for bugzilla script actions 2023-08-28 00:55:00 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 7 Fedora Update System 2023-09-21 10:44:12 UTC
FEDORA-2023-58ed7d993b has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-58ed7d993b

Comment 8 Fedora Update System 2023-09-22 00:20:15 UTC
FEDORA-2023-58ed7d993b has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.